Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 03/11/2018, à 01:05

pilgrimvll49

[Résolu] Installation joomla sous ubuntu 18.04 LTS

Bonjour,
Je rame énormément pour installer en local un site sous joomla.
J'ai suivi plusieurs tutos et avis mais je n'arrive à rien.
Pour l'install de LAMP j'ai fait :

sudo apt install apache2 php libapache2-mod-php mysql-server php-mysql

Je n'ai pas vu d'erreur.

J'ai téléchargé la dernière version de Joomla, la 3.9.0 et je l'ai décompressé sous /var/www/html/capt49

Quand j'indique à mon navigateur Firefox : http://localhost/capt49/installation/index.php pour lancer l'install de Joomla j'obtiens :
execute(); dans une page blanche

Si quelqu'un a des idées, je suis preneur.

Dernière modification par pilgrimvll49 (Le 10/05/2022, à 11:35)

Hors ligne

#2 Le 03/11/2018, à 04:49

krodelabestiole

Re : [Résolu] Installation joomla sous ubuntu 18.04 LTS

on dirait que PHP n'est pas interprété...
https://doc.ubuntu-fr.org/php#code_sour … navigateur

Hors ligne

#3 Le 03/11/2018, à 17:01

pilgrimvll49

Re : [Résolu] Installation joomla sous ubuntu 18.04 LTS

Bonjour merci de cette réponse. Voici le résultat de la commande :

pclf@pclf001129:/var/www/html/capt49$ apt list \*php\* | grep install

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

libapache2-mod-php/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
libapache2-mod-php7.2/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-common/bionic,bionic,now 1:60ubuntu1 all  [installé, automatique]
php-gd/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-intl/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-json/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-mbstring/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-mysql/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-pear/bionic,bionic,now 1:1.10.5+submodules+notgz-1ubuntu1 all  [installé, automatique]
php-xml/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php-zip/bionic,bionic,now 1:7.2+60ubuntu1 all  [installé]
php7.0-common/now 7.0.32-0ubuntu0.16.04.1 amd64  [installé, local]
php7.0-curl/now 7.0.32-0ubuntu0.16.04.1 amd64  [installé, local]
php7.2/bionic-updates,bionic-updates,bionic-security,bionic-security,now 7.2.10-0ubuntu0.18.04.1 all  [installé, automatique]
php7.2-cli/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-common/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-gd/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-intl/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-json/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-mbstring/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-mysql/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-opcache/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-readline/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-xml/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
php7.2-zip/bionic-updates,bionic-security,now 7.2.10-0ubuntu0.18.04.1 amd64  [installé, automatique]
pclf@pclf001129:/var/www/html/capt49$ 

Je vois effectivement 2 lignes avec php7.0
Alors cela veut dire que si je fais :

 apt-get remove php7.0
apt-get autoremove php7.0 

ça peut régler le problème ?
J'essaie et je reviens dire ce qu'il en est.

Hors ligne

#4 Le 03/11/2018, à 17:07

krodelabestiole

Re : [Résolu] Installation joomla sous ubuntu 18.04 LTS

en fait c'était plutôt le chapitre Code source visible dans le navigateur que j'indiquais, mais effectivement, ça peut aussi être un problème...

Hors ligne

#5 Le 10/05/2022, à 10:57

pilgrimvll49

Re : [Résolu] Installation joomla sous ubuntu 18.04 LTS

Bonjour,
Je suis sous Ubuntu 22.04. Pour faire tourner ZwiiCms, j'ai installé apache2 puis, j'ai installé php8 malgré l'avertissement qu'il n'avait pas été testé. Ecran blanc quand j'ai testé. J'ai installé php7.4 pour qu'il soit pris en compte mais ....
Maintenant php8 ne fonctionne plus et voici ce que j'obtiens.

sudo apt autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de libapache2-mod-php8.1 (8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1) ...
dpkg: erreur de traitement du paquet libapache2-mod-php8.1 (--configure) :
 installed libapache2-mod-php8.1 package post-installation script subprocess returned error exit status 1
dpkg: des problèmes de dépendances empêchent la configuration de libapache2-mod-php :
 libapache2-mod-php dépend de libapache2-mod-php8.1 ; cependant :
 Le paquet libapache2-mod-php8.1 n'est pas encore configuré.

dpkg: erreur de traitement du paquet libapache2-mod-php (--configure) :
 problèmes de dépendances - laissé non configuré
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                                                                  Des erreurs ont été rencontrées pendant l'exécution :
 libapache2-mod-php8.1
 libapache2-mod-php
E: Sub-process /usr/bin/dpkg returned an error code (1)



alain@UbuntuStudio20:~$ dpkg -l | grep php
iU  libapache2-mod-php                            2:8.1+92+ubuntu22.04.1+deb.sury.org+1       all          server-side, HTML-embedded scripting language (Apache 2 module) (default)
rc  libapache2-mod-php7.4                         1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        server-side, HTML-embedded scripting language (Apache 2 module)
iF  libapache2-mod-php8.1                         8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1      amd64        server-side, HTML-embedded scripting language (Apache 2 module)
ii  php-cli                                       2:8.1+92+ubuntu22.04.1+deb.sury.org+1       all          command-line interpreter for the PHP scripting language (default)
ii  php-common                                    2:92+ubuntu22.04.1+deb.sury.org+1           all          Common files for PHP packages
ic  php7.4-cli                                    1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        command-line interpreter for the PHP scripting language
rc  php7.4-common                                 1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        documentation, examples and common module for PHP
rc  php7.4-fpm                                    1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
rc  php7.4-json                                   1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        JSON module for PHP
rc  php7.4-opcache                                1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        Zend OpCache module for PHP
rc  php7.4-readline                               1:7.4.29-2+ubuntu22.04.1+deb.sury.org+1     amd64        readline module for PHP
ii  php8.1-cli                                    8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1      amd64        command-line interpreter for the PHP scripting language
ii  php8.1-common                                 8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1      amd64        documentation, examples and common module for PHP
ic  php8.1-fpm                                    8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1      amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
ii  php8.1-opcache                                8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1      amd64        Zend OpCache module for PHP
ii  php8.1-readline                               8.1.5-1+ubuntu22.04.1+deb.sury.org+1.1      amd64        readline module for PHP
alain@UbuntuStudio20:~$ 

Je sèche complètement et ne trouve rien sur le net pour avoir un début d'explication. Sur le résultat de la commande, que veulent dire les deux lettres en début de ligne ?

Merci de votre aide

Hors ligne

#6 Le 10/05/2022, à 11:29

pilgrimvll49

Re : [Résolu] Installation joomla sous ubuntu 18.04 LTS

Bonjour,

J'ai désinstallé le ppa:php de ondrej sury .

Maintenant c'est clean

J'ai finalement trouvé le retour de krodelabestiole  qui signale les problème générés par ce ppa. Merci à lui.

Hors ligne